<?php

namespace app\api\controller;

use app\BaseController;
use app\common\model\Dictionary\Dictionary as ModelDictionary;


class InitializeData extends BaseController
{
    /**
     * 获取初始化配置数据接口
     * 
     * @return array
     * @date 2023-06-28
     * @author xjh
     * @since 1.0.0
     */
    public function getInitData(): array
    {
        return msg(0, '获取初始化配置数据成功！', [
            'global_mode' => array_column(ModelDictionary::getDictionaryData('global_mode'), 'dictionary_name'),
            'dependency' => array_column(ModelDictionary::getDictionaryData('dependency'), 'dictionary_name')
        ]);
    }
}