<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2019 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------

// [ 应用入口文件 ]
namespace think;

require __DIR__ . '/../vendor/autoload.php';

try {
    // 执行HTTP应用并响应
    $http = (new App())->http;

    $response = $http->run();

    $response->send();
} catch (\InvalidArgumentException $th) {
    // 方便浏览器调试
    if (isset($response)) {
        $data = $response->getData();
        if (is_array($data)) {
            echo json_encode($data);
        }
    } else {
        throw $th;
    }
} finally {
    $http->end($response);
}
